Subject: [ipwave] Use of the RFC2119 terminology in order to become a specification

From: Alexandre Petrescu <[email-masked]>
Date: Mon, 12 Feb 2018 12:41:58 +0100

Tony,

>> There is more relatively normative text in section 4.5 "Stateless  >> Autoconfiguration". This recommends the use of RFC7136 (ug bits) >> 
and RFC 8064 (stable ids) and RFC 7217 (opaque ids). These >> 
recommendations dont exist in RFC2464 (IPv6-over-Ethernet) and they >> 
dont exist in any IPv6-over-WiFi document because such >> IPv6-over-WiFi 
does not exist. >> >> I hope this qualifies as 'specification’. > > > It 
qualifies as a recommendation for right now. If you want it to be > 
mandatory, you need to specifically use RFC 2119 terminology.
The word MUST is used in the MTU section 4.1 about MTU size.

I could add another MUST in there:

> The Ethernet Type code (EtherType) for IPv6 MUST be 0x86DD (hexadecimal 86DD,
>     or otherwise #86DD).

Is this ok?

>> (and I do not know what is DIX, never encountered it).  > > > DIX is another name for Ethertype encapsulation. AFAIK, it has 
never > been ratified by the IEEE.
Maybe "DIX" means "Ethernet Adaptation Layer"?

Alex

---

From: Russ Housley <[email-masked]>
Date: Tue, 13 Feb 2018 11:58:50 -0500

> On Feb 12, 2018, at 6:41 AM, Alexandre Petrescu <[email-masked]> wrote:
> 

DIX = Digital Intel Xerox

These three companies developed the original 10 Mbit/second Ethernet specification.  The DIX specification always used an EtherType.  IEEE 802.3 changed the specification to be a length or an EtherType.

Russ